#
# spec file for package python-aliyun-python-sdk-core
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-aliyun-python-sdk-core
Version:        2.16.0
Release:        1.3
Summary:        The core module of Aliyun Python SDK
License:        Apache-2.0
URL:            https://github.com/aliyun/aliyun-openapi-python-sdk
Source:         https://files.pythonhosted.org/packages/source/a/aliyun-python-sdk-core/aliyun-python-sdk-core-%{version}.tar.gz
Source1:        ChangeLog.txt
Patch1:         0001_Dont-use-vendored-dependencies.patch
Patch2:         0002_Relax-jmespath-version-constraint.patch
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module cryptography >= 2.9.2}
BuildRequires:  %{python_module jmespath >= 0.9.3}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module six}
# /SECTION
BuildRequires:  fdupes
Requires:       python-cryptography >= 2.9.2
Requires:       python-jmespath >= 0.9.3
Requires:       python-requests
Requires:       python-six
%if 0%{?sle_version} >= 150400
Obsoletes:      python3-aliyun-python-sdk-core < 2.15.1
%endif
BuildArch:      noarch
%python_subpackages

%description
The core module of Aliyun Python SDK.

%prep
%setup -q -n aliyun-python-sdk-core-%{version}
%patch -P1 -p1
%patch -P2 -p1
cp %{SOURCE1} ChangeLog.txt
rm -rf aliyunsdkcore/vendored

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc ChangeLog.txt README.rst
%license LICENSE
%{python_sitelib}/aliyunsdkcore
%{python_sitelib}/aliyun_python_sdk_core-%{version}.dist-info

%changelog
* Wed Oct 23 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.16.0
  + For detailed information about changes see the
    ChangeLog.txt file provided with this package
- Refresh patches for new version
  + 0002_Relax-jmespath-version-constraint.patch
* Fri Aug 30 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.15.2
  + For detailed information about changes see the
    ChangeLog.txt file provided with this package
* Wed Jul  3 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Replace deprecated %%patchN with %%patch -PN for compatibility with RPM 4.20
* Tue Apr 16 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Switch package to modern Python Stack on SLE-15
  + Use Python 3.11 on SLE-15 by default
  + Add Obsoletes for old python3 package on SLE-15
  + Drop support for older Python versions
- Switch build system from setuptools to pyproject.toml
  + Add python-pip and python-wheel to BuildRequires
  + Replace %%python_build with %%pyproject_wheel
  + Replace %%python_install with %%pyproject_install
- Limit Python files matched in %%files section
* Tue Apr 16 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.15.1
  + For detailed information about changes see the
    ChangeLog.txt file provided with this package
* Tue Apr  9 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.15.0
  + For detailed information about changes see the
    ChangeLog.txt file provided with this package
* Tue Oct  3 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.14.0
  + For detailed information about changes see the
    ChangeLog.txt file provided with this package
* Wed May 17 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Add patch to relax version constraint for python-jmespath build dependency
  + 0002_Relax-jmespath-version-constraint.patch
* Fri Feb 11 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.13.36
  + For detailed information about changes see the
    ChangeLog.txt file provided with this package
- Drop patches for issues fixed upstream
  + 0001_Relax-cryptography-dependency.patch
- Refresh and rename patches
  + 0001_Dont-use-vendored-dependencies.patch
* Wed Feb 17 2021 Robert Schweikert <rjschwei@suse.com>
- Do not build for Python 2 distros 15 and higher
* Sat Feb 13 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.13.30
  + For detailed information about changes see the
    ChangeLog.txt file provided with this package
- Add ChangeLog.txt from upstream git
- Add patch to relax python-crypography version dependency
  + 0001_Relax-cryptography-dependency.patch
- Add patch to drop vendored dependencies (bsc#1177083)
  + 0002_Dont-use-vendored-dependencies.patch
- Add python-cryptography to BuildRequires and Requires
- Add python-requests BuildRequires and Requires
- Add python-six BuildRequires and Requires
- Drop python-pycryptodome from BuildRequires and Requires
- Drop python-devel from BuildRequires
- Drop obsolete Group field
- Use LICENSE file from upstream tarball
* Mon Aug 10 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Initial build
  + Version 2.13.25
